package com.jy.business.payment.model.table;

import com.jy.business.payment.model.entity.PaymentRemit;
import com.jy.framework.mybatis.join.QueryColumn;
import com.jy.framework.mybatis.join.Table;

public class PaymentRemitTable extends Table<PaymentRemit> {

    public static PaymentRemitTable payment_remit = new PaymentRemitTable();
    public static PaymentRemitTable pr = payment_remit.as("pr");

    /**
     * 打款id
     */
    public QueryColumn id = this.field(PaymentRemit::getId);

    /**
     * 请款id
     */
    public QueryColumn paymentRequestsId = this.field(PaymentRemit::getPaymentRequestsId);

    /**
     * 资金账户id
     */
    public QueryColumn capitalAccountId = this.field(PaymentRemit::getCapitalAccountId);

    /**
     * 请款金额
     */
    public QueryColumn amount = this.field(PaymentRemit::getAmount);

    /**
     * 打款时间
     */
    public QueryColumn remitTime = this.field(PaymentRemit::getRemitTime);

    /**
     * 摘要
     */
    public QueryColumn remark = this.field(PaymentRemit::getRemark);

    /**
     * 附件列表
     */
    public QueryColumn atts = this.field(PaymentRemit::getAtts);

    /**
     * 创建人
     */
    public QueryColumn createUser = this.field(PaymentRemit::getCreateUser);

    /**
     * 创建时间
     */
    public QueryColumn createTime = this.field(PaymentRemit::getCreateTime);

    /**
     * 更新人
     */
    public QueryColumn updateUser = this.field(PaymentRemit::getUpdateUser);

    /**
     * 更新时间
     */
    public QueryColumn updateTime = this.field(PaymentRemit::getUpdateTime);

    /**
     * 逻辑删除标记
     */
    public QueryColumn delFlag = this.field(PaymentRemit::getDelFlag);

    private PaymentRemitTable() {
        super(PaymentRemit.class);
    }

    private PaymentRemitTable(String alias) {
        super(PaymentRemit.class, alias);
    }

    public PaymentRemitTable as(String alias) {
        return new PaymentRemitTable(alias);
    }

}
